Package org.pushingpixels.lafwidget.scroll

# Class AutoScrollActivator.AutoScrollMouseListener

java.lang.Object
java.awt.event.MouseAdapter
org.pushingpixels.lafwidget.scroll.AutoScrollActivator.AutoScrollMouseListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `AutoScrollActivator`

protected static class AutoScrollActivator.AutoScrollMouseListener extends MouseAdapter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AutoScrollActivator`
`autoScrollActivator`

## Constructor Summary

Constructors
Constructor
Description
`AutoScrollMouseListener(AutoScrollActivator autoScrollActivator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`mousePressed(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### autoScrollActivator

protected AutoScrollActivator autoScrollActivator

## Constructor Details

### AutoScrollMouseListener

public AutoScrollMouseListener(AutoScrollActivator autoScrollActivator)

## Method Details

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`